Passer au contenu principal
PATCH
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
/
{blueprint_id}
Mettre à jour le contenu et/ou la position d’un blueprint
curl --request PATCH \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contents": "<string>",
  "position": 123
}
'
import requests

url = "https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}"

payload = {
    "contents": "<string>",
    "position": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({contents: '<string>', position: 123})
};

fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "blueprint_id": "<string>",
  "created_at": 123,
  "repo_name": "<string>",
  "updated_at": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Autorisations

Requiert un utilisateur de service disposant de l’autorisation ManageRepoBlueprints au niveau de l’organisation. La création ou la mise à jour de blueprints au niveau de l’organisation requiert l’autorisation ManageOrgSnapshots.

Comportement

Met à jour le contenu ou la position d’un blueprint, ou les deux. Ne déclenche pas automatiquement de build.

Autorisations

Authorization
string
header
requis

Identifiant de compte de service (préfixe : cog_)

Paramètres de chemin

blueprint_id
string
requis
org_id
string
requis

ID de l’organisation (préfixe : org-)

Exemple:

"org-abc123def456"

Corps

application/json

Mise à jour partielle d'un blueprint de niveau organisation ou dépôt.

N'importe quel sous-ensemble de champs peut être fourni. Les champs non renseignés restent inchangés. Fournir position pour un blueprint de niveau organisation renvoie 400 — seuls les blueprints de niveau dépôt ont une position. Ne déclenche PAS de build.

contents
string | null

S'il est renseigné, remplace le corps YAML du blueprint par une nouvelle version.

position
integer | null

S'il est renseigné, met à jour la position d'exécution de ce blueprint de niveau dépôt. Les positions n'ont pas besoin d'être uniques ; en cas d'égalité, le serveur les départage arbitrairement lors du tri pour l'exécution.

Réponse

Réponse réussie

Schéma public de la ressource Blueprint.

Remarque : l’énumération type pourra être étendue à l’avenir ; les clients DOIVENT gérer correctement les valeurs inconnues. Le contenu YAML est récupéré séparément via GET /blueprints/{id}/contents.

blueprint_id
string
requis
created_at
integer
requis
repo_name
string | null
requis
type
enum<string>
requis
Options disponibles:
enterprise,
org,
repo
updated_at
integer
requis